<?php
/**
 * Copyright 2005-2010 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @package IMP
 */

$block_name = _("Folder Summary");

class Horde_Block_imp_summary extends Horde_Block
{
    public $updateable = true;
    protected $_app = 'imp';

    protected function _title()
    {
        return Horde::link(Horde::url($GLOBALS['registry']->getInitialPage(), true)) . $GLOBALS['registry']->get('name') . '</a>';
    }

    protected function _params()
    {
        return array('show_unread' => array('type' => 'boolean',
                                            'name' => _("Only display folders with unread messages in them?"),
                                            'default' => 0),
                     'show_total' => array('type' => 'boolean',
                                           'name' => _("Show total number of mails in folder?"),
                                           'default' => 0)
                     );
    }

    protected function _content()
    {
        $imp_ui = new IMP_Ui_Block();
        list($html_out, $newmsgs) = $imp_ui->folderSummary('imp');

        $html = '<table cellspacing="0" width="100%">';

        /* Quota info, if available. */
        $quota_msg = Horde_Util::bufferOutput(array('IMP', 'quota'));
        if (!empty($quota_msg)) {
            $html .= '<tr><td colspan="3">' . $quota_msg . '</td></tr>';
        }

        /* Check to see if user wants new mail notification, but only
         * if the user is logged into IMP. */
        if ($GLOBALS['prefs']->getValue('nav_popup')) {
            /* Always include these scripts so they'll be there if there's
             * new mail in later dynamic updates. */
            Horde::addScriptFile('effects.js', 'horde');
            Horde::addScriptFile('redbox.js', 'horde');
        }

        if (!empty($newmsgs) &&
            ($GLOBALS['prefs']->getValue('nav_audio') ||
             $GLOBALS['prefs']->getValue('nav_popup'))) {
            $html .= Horde_Util::bufferOutput(IMP::newmailAlerts($newmsgs)) .
                Horde_Util::bufferOutput(array($GLOBALS['notification'], 'notify'), array('listeners' => 'audio'));
        }

        return $html . $html_out . '</table>';
    }

}
